io.undertow.server.handlers.accesslog

## Class ExtendedAccessLogParser.ExtendedAccessLogHeaderGenerator

- java.lang.Object
- - io.undertow.server.handlers.accesslog.ExtendedAccessLogParser.ExtendedAccessLogHeaderGenerator

All Implemented Interfaces:
  LogFileHeaderGenerator

Enclosing class:
  ExtendedAccessLogParser

    public static class ExtendedAccessLogParser.ExtendedAccessLogHeaderGenerator
    extends Object
    implements LogFileHeaderGenerator

### Constructor Summary

Constructors
Constructor and Description
`ExtendedAccessLogHeaderGenerator(String pattern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `generateHeader()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtendedAccessLogHeaderGenerator

    public ExtendedAccessLogHeaderGenerator(String pattern)

### Method Detail

#### generateHeader

    public String generateHeader()

Specified by:
  `generateHeader` in interface `LogFileHeaderGenerator`